NodeReportPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.impl.pb, class: NodeReportPBImpl

Package org.apache.hadoop.yarn.api.records.impl.pb

# Class NodeReportPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.NodeReport
org.apache.hadoop.yarn.api.records.impl.pb.NodeReportPBImpl

@Private @Unstable public class NodeReportPBImpl extends org.apache.hadoop.yarn.api.records.NodeReport

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NodeReportPBImpl()`
  `NodeReportPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.NodeReportProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `org.apache.hadoop.yarn.api.records.ResourceUtilization`
  `getAggregatedContainersUtilization()`
  `org.apache.hadoop.yarn.api.records.Resource`
  `getCapability()`
  `Integer`
  `getDecommissioningTimeout()`
  `String`
  `getHealthReport()`
  `String`
  `getHttpAddress()`
  `long`
  `getLastHealthReportTime()`
  `Set<org.apache.hadoop.yarn.api.records.NodeAttribute>`
  `getNodeAttributes()`
  `org.apache.hadoop.yarn.api.records.NodeId`
  `getNodeId()`
  `Set<String>`
  `getNodeLabels()`
  `org.apache.hadoop.yarn.api.records.NodeState`
  `getNodeState()`
  `org.apache.hadoop.yarn.api.records.NodeUpdateType`
  `getNodeUpdateType()`
  `org.apache.hadoop.yarn.api.records.ResourceUtilization`
  `getNodeUtilization()`
  `int`
  `getNumContainers()`
  `org.apache.hadoop.yarn.proto.YarnProtos.NodeReportProto`
  `getProto()`
  `String`
  `getRackName()`
  `org.apache.hadoop.yarn.api.records.Resource`
  `getUsed()`
  `int`
  `hashCode()`
  `void`
  `setAggregatedContainersUtilization(org.apache.hadoop.yarn.api.records.ResourceUtilization containersResourceUtilization)`
  `void`
  `setCapability(org.apache.hadoop.yarn.api.records.Resource capability)`
  `void`
  `setDecommissioningTimeout(Integer decommissioningTimeout)`
  `void`
  `setHealthReport(String healthReport)`
  `void`
  `setHttpAddress(String httpAddress)`
  `void`
  `setLastHealthReportTime(long lastHealthReportTime)`
  `void`
  `setNodeAttributes(Set<org.apache.hadoop.yarn.api.records.NodeAttribute> nodeAttrs)`
  `void`
  `setNodeId(org.apache.hadoop.yarn.api.records.NodeId nodeId)`
  `void`
  `setNodeLabels(Set<String> nodeLabels)`
  `void`
  `setNodeState(org.apache.hadoop.yarn.api.records.NodeState nodeState)`
  `void`
  `setNodeUpdateType(org.apache.hadoop.yarn.api.records.NodeUpdateType nodeUpdateType)`
  `void`
  `setNodeUtilization(org.apache.hadoop.yarn.api.records.ResourceUtilization nodeResourceUtilization)`
  `void`
  `setNumContainers(int numContainers)`
  `void`
  `setRackName(String rackName)`
  `void`
  `setUsed(org.apache.hadoop.yarn.api.records.Resource used)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.NodeReport

  `newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NodeReportPBImpl

    public NodeReportPBImpl()

  - ### NodeReportPBImpl

    public NodeReportPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.NodeReportProto proto)

- ## Method Details

  - ### getCapability

    public org.apache.hadoop.yarn.api.records.Resource getCapability()
    Specified by:
      `getCapability` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### getHealthReport

    public String getHealthReport()
    Specified by:
      `getHealthReport` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### setHealthReport

    public void setHealthReport(String healthReport)
    Specified by:
      `setHealthReport` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### getLastHealthReportTime

    public long getLastHealthReportTime()
    Specified by:
      `getLastHealthReportTime` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### setLastHealthReportTime

    public void setLastHealthReportTime(long lastHealthReportTime)
    Specified by:
      `setLastHealthReportTime` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### getHttpAddress

    public String getHttpAddress()
    Specified by:
      `getHttpAddress` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### getNumContainers

    public int getNumContainers()
    Specified by:
      `getNumContainers` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### getRackName

    public String getRackName()
    Specified by:
      `getRackName` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### getUsed

    public org.apache.hadoop.yarn.api.records.Resource getUsed()
    Specified by:
      `getUsed` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### getNodeId

    public org.apache.hadoop.yarn.api.records.NodeId getNodeId()
    Specified by:
      `getNodeId` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### setNodeId

    public void setNodeId(org.apache.hadoop.yarn.api.records.NodeId nodeId)
    Specified by:
      `setNodeId` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### getNodeState

    public org.apache.hadoop.yarn.api.records.NodeState getNodeState()
    Specified by:
      `getNodeState` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### setNodeState

    public void setNodeState(org.apache.hadoop.yarn.api.records.NodeState nodeState)
    Specified by:
      `setNodeState` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### setCapability

    public void setCapability(org.apache.hadoop.yarn.api.records.Resource capability)
    Specified by:
      `setCapability` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### setHttpAddress

    public void setHttpAddress(String httpAddress)
    Specified by:
      `setHttpAddress` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### setNumContainers

    public void setNumContainers(int numContainers)
    Specified by:
      `setNumContainers` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### setRackName

    public void setRackName(String rackName)
    Specified by:
      `setRackName` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### setUsed

    public void setUsed(org.apache.hadoop.yarn.api.records.Resource used)
    Specified by:
      `setUsed` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnProtos.NodeReportProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getNodeLabels

    public Set<String> getNodeLabels()
    Specified by:
      `getNodeLabels` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### setNodeLabels

    public void setNodeLabels(Set<String> nodeLabels)
    Specified by:
      `setNodeLabels` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### getAggregatedContainersUtilization

    public org.apache.hadoop.yarn.api.records.ResourceUtilization getAggregatedContainersUtilization()
    Overrides:
      `getAggregatedContainersUtilization` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### setAggregatedContainersUtilization

    public void setAggregatedContainersUtilization(org.apache.hadoop.yarn.api.records.ResourceUtilization containersResourceUtilization)
    Overrides:
      `setAggregatedContainersUtilization` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### getNodeUtilization

    public org.apache.hadoop.yarn.api.records.ResourceUtilization getNodeUtilization()
    Specified by:
      `getNodeUtilization` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### setNodeUtilization

    public void setNodeUtilization(org.apache.hadoop.yarn.api.records.ResourceUtilization nodeResourceUtilization)
    Specified by:
      `setNodeUtilization` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### getDecommissioningTimeout

    public Integer getDecommissioningTimeout()
    Overrides:
      `getDecommissioningTimeout` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### setDecommissioningTimeout

    public void setDecommissioningTimeout(Integer decommissioningTimeout)
    Overrides:
      `setDecommissioningTimeout` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### getNodeUpdateType

    public org.apache.hadoop.yarn.api.records.NodeUpdateType getNodeUpdateType()
    Overrides:
      `getNodeUpdateType` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### setNodeUpdateType

    public void setNodeUpdateType(org.apache.hadoop.yarn.api.records.NodeUpdateType nodeUpdateType)
    Overrides:
      `setNodeUpdateType` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### setNodeAttributes

    public void setNodeAttributes(Set<org.apache.hadoop.yarn.api.records.NodeAttribute> nodeAttrs)
    Specified by:
      `setNodeAttributes` in class `org.apache.hadoop.yarn.api.records.NodeReport`

  - ### getNodeAttributes

    public Set<org.apache.hadoop.yarn.api.records.NodeAttribute> getNodeAttributes()
    Specified by:
      `getNodeAttributes` in class `org.apache.hadoop.yarn.api.records.NodeReport`